Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
phamhuy1

Nhờ hiệu chỉnh lưới trục

Các bài được khuyến nghị

Em nhờ các bác Lisper chỉnh giùm lisp này cho nó chạy ạ :unsure:

(defun c:ltt (/ ng du pt pt1 pt2 b mm1 mm2 oldlst hg hg1 kh c c1 kc)
(setq oldlst (mapcar 'getvar (list "cmdecho" "osmode")))
(setvar "cmdecho" 0)
  (setq pt (getpoint "\nDiem: ")
b (getreal "\nDoan ria: ")
hg (getreal "\nSo hang: ")
hg1 (1- hg) 
kh (getreal "\nKhoang cach hang: ")
du (* hg1 kh)
c (getreal "\nSo cot: ") c1 (1- c)
kc (getreal "\nKhoang cach cot: ") ng (* c1 kc))
(setq pt1 (polar pt pi b) pt2 (polar pt 0 (+ ng b))) 
(setq pt3 (polar pt (* pi 1.5) b) pt4 (polar pt (* pi 0.5) (+ du b)))
(setvar "osmode" 0)
(command ".line" pt1 pt2 "")
(command "-array" "L" "R" hg "1" kh "")
(command ".line" pt3 pt4 "")
(command "-array" "L" "R" "1" c kc "")
(mapcar 'setvar (list "cmdecho" "osmode") oldlst)
(princ)) 

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn sửa đoạn sau:

 

hg (getint "\nSo hang: ")
hg1 (1- hg)
kh (getreal "\nKhoang cach hang: ")
du (* hg1 kh)
c (getint "\nSo cot: ") c1 (1- c)
kc (getreal "\nKhoang cach cot: ") ng (* c1 kc))
(setq pt1 (polar pt pi b) pt2 (polar pt 0 (+ ng b)))
(setq pt3 (polar pt (* pi 1.5) b) pt4 (polar pt (* pi 0.5) (+ du b)))
(setvar "osmode" 0)
(command ".line" pt1 pt2 "")
(command "-array" "L" "" "R" hg 1 kh)
(command ".line" pt3 pt4 "")
(command "-array" "L" "" "R" 1 c kc)
 
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×